PropertyNamingStrategy.UpperCamelCaseStrategy
Date: 2016-12-04

com.fasterxml.jackson.databind

## Class PropertyNamingStrategy.UpperCamelCaseStrategy

- java.lang.Object
- - com.fasterxml.jackson.databind.PropertyNamingStrategy
  - - com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase
    - - com.fasterxml.jackson.databind.PropertyNamingStrategy.UpperCamelCaseStrategy

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    PropertyNamingStrategy.PascalCaseStrategy
  Enclosing class:
    PropertyNamingStrategy

      public static class PropertyNamingStrategy.UpperCamelCaseStrategy
      extends PropertyNamingStrategy.PropertyNamingStrategyBase

  A `PropertyNamingStrategy` that translates typical camelCase Java property names to PascalCase JSON element names (i.e., with a capital first letter). In particular, the following translations are applied by this PropertyNamingStrategy.
  - The first lower-case letter in the Java property name is translated into its equivalent upper-case representation.
  This rules result in the following example translation from Java property names to JSON element names.
  - "userName" is translated to "UserName"
  Since:
    2.7 (was formerly called `PropertyNamingStrategy.PascalCaseStrategy`)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

      `PropertyNamingStrategy.KebabCaseStrategy, PropertyNamingStrategy.LowerCaseStrategy, PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy, PropertyNamingStrategy.PascalCaseStrategy, PropertyNamingStrategy.PropertyNamingStrategyBase, PropertyNamingStrategy.SnakeCaseStrategy, PropertyNamingStrategy.UpperCamelCaseStrategy`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy

      `CAMEL_CASE_TO_LOWER_CASE_WITH_UNDERSCORES, KEBAB_CASE, LOWER_CAMEL_CASE, LOWER_CASE, PASCAL_CASE_TO_CAMEL_CASE, SNAKE_CASE, UPPER_CAMEL_CASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyNamingStrategy.UpperCamelCaseStrategy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `translate(java.lang.String input)` Converts camelCase to PascalCase For example, "userName" would be converted to "UserName".

    - ### Methods inherited from class com.fasterxml.jackson.databind.PropertyNamingStrategy.PropertyNamingStrategyBase

      `nameForConstructorParameter, nameForField, nameForGetterMethod, nameForSetterMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyNamingStrategy.UpperCamelCaseStrategy

          public PropertyNamingStrategy.UpperCamelCaseStrategy()

  - ### Method Detail

    - #### translate

          public java.lang.String translate(java.lang.String input)

      Converts camelCase to PascalCase For example, "userName" would be converted to "UserName".
      Specified by:
        `translate` in class `PropertyNamingStrategy.PropertyNamingStrategyBase`
      Parameters:
        `input` - formatted as camelCase string
      Returns:
        input converted to PascalCase format